(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Arial", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Arial", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Arial", 14, L0, center, nohscroll, bold;
	fontset = section, "Arial", 14, L0, bold, grayBox;
	fontset = subsection, "Arial", 12, L0, bold, blackBox;
	fontset = subsubsection, "Arial", 10, L0, bold, whiteBox;
	fontset = text, "Arial", 12, L0;
	fontset = smalltext, "Arial", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap, bold;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Arial", 13, L0, nowordwrap, R65280;
	fontset = print, "Arial", 13, L0, nowordwrap;
	fontset = info, "Arial", 13, L0, nowordwrap;
	fontset = postscript, "Arial", 13, L0, nowordwrap;
	fontset = name, "Arial", 13, L0, nohscroll, B65280;
	fontset = header, "Arial", 13, L0, right, nohscroll;
	fontset = footer, "Arial", 13, L0, right, nohscroll;
	fontset = help, "Arial", 13, L0, nohscroll;
	fontset = clipboard, "Arial", 13, L0, nohscroll;
	fontset = completions, "Arial", 13, L0, nowordwrap, nohscroll;
	fontset = graphics, "Arial", 13, L0, nowordwrap, nohscroll;
	fontset = special1, "Arial", 13, L0, nowordwrap, nohscroll;
	fontset = special2, "Arial", 13, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Arial", 13, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Arial", 13, L0, nowordwrap, nohscroll;
	fontset = special5, "Arial", 13, L0, nowordwrap, nohscroll;
	fontset = leftheader, "Arial", 13, L0, nowordwrap, nohscroll;
	fontset = leftfooter, "Arial", 13, L0, nowordwrap, nohscroll;
	fontset = reserved1, "Arial", 13, L0, nowordwrap, nohscroll;]
:[font = input; nowordwrap; ]
<<GnuDisplay.m;


:[font = input; nowordwrap; backColorRed = 65280; backColorGreen = 65280; backColorBlue = 65280; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Arial"; fontSize = 13; ]
(* ------------------------------------------------------------------- *)
(* Asymmetry of b -> s l^+ l^-                                              *)
(* with next to leading QCD correction                                *)
(* ------------------------------------------------------------------- *)

:[font = input; nowordwrap; backColorRed = 65280; backColorGreen = 65280; backColorBlue = 65280; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Arial"; fontSize = 13; ]
(* ------------------------------------------------------------------- *)
(* Clearence of the functions                                              *)
(* ------------------------------------------------------------------- *)
Clear[rey,asymmetry,alpha4,alpha5,imresonance,reresonance];
Clear[e,f,xf,uhat,xrey,xalpha5,xasymmetry,etatil];
(* ------------------------------------------------------------------- *)
(* Constants                                                                         *)
(* ------------------------------------------------------------------- *)
ms = 0.2;
mx = 1;
mb = 4.8;
mc = 1.86;
mt = 175;
mw = 80.26;
mu = 5;
ml = 0.00051;
xt = (mt/mw)^2;
mchat = mc/mb;
mshat = ms/mb;
mxhat = mx/mb;
ckm = 1;
kappa = 0.7;
lambda1 = 0.5/(mb^2);
lambda2 = 0.12/(mb^2);
lamdaqcd = 0.214;
alphaweak = 1/129;
alphastrongmw = 4 Pi/(23/3 Log[mw^2/lamdaqcd^2]) (1 - 
	(116/3)/(23/3)^2 Log[Log[mw^2/lamdaqcd^2]]/Log[mw^2/lamdaqcd^2]);
alphastrongmu = 4 Pi/(23/3 Log[mu^2/lamdaqcd^2]) (1 - 
	(116/3)/(23/3)^2 Log[Log[mu^2/lamdaqcd^2]]/Log[mu^2/lamdaqcd^2]);
eta = alphastrongmw/alphastrongmu;
sinthetaw = Sqrt[0.2325];
brbxlv = 0.104;

(* ------------------------------------------------------------------- *)
(* Definition of functions                                                      *)
(* ------------------------------------------------------------------- *)
imresonance[shat_] := Pi ((16.285 10^(-6) 2.72448 10^(-4))/(
	(3.096^2 - shat mb^2)^2 + (2.72448 10^(-4))^2) + (
	7.88804 10^(-6) 10.2102 10^(-4))/(
	(3.686^2 - shat mb^2)^2 + (10.2102 10^(-4))^2));
reresonance[shat_] := Pi ((16.285 10^(-6) (3.096^2 - shat mb^2))/(
	(3.096^2 - shat mb^2)^2 + (2.72448 10^(-4))^2) + (
	7.88804 10^(-6) (3.686^2 - shat mb^2))/(
	(3.686^2 - shat mb^2)^2 + (10.2102 10^(-4))^2));
phasefactor = 1 - 8 mchat^2 + 8 mchat^6 - mchat^8 - 
	24 mchat^4 Log[mchat];
kappamu = 1 - (2 alphastrongmu)/(3 Pi) ((Pi^2 - 31/4)(
	1 - mchat)^2 + 3/2);
overwholefactor = brbxlv ckm^2 1/(phasefactor kappamu) (
	3 alphaweak^2)/(16 Pi^2);
uhat[shat_] := Sqrt[(shat - (1 + mxhat)^2)(shat - (1 - mxhat)^2)];
c1mb = 1/2 (eta^(6/23) - eta^(-12/23));
c2mb = 1/2 (eta^(6/23) + eta^(-12/23));
c3mb = -1/14 eta^(6/23) + 1/6 eta^(-12/23) + 0.0510 eta^(0.4086) - 
	0.1403 eta^(-0.4230) - 0.0113 eta^(-0.8994) + 
	0.0054 eta^(0.1456);
c4mb = -1/14 eta^(6/23) - 1/6 eta^(-12/23) + 0.0984 eta^(0.4086) + 
	0.1214  eta^(-0.4230) + 0.0156 eta^(-0.8994) + 
	0.0026 eta^(0.1456);
c5mb = -0.0397 eta^(0.4086) + 0.0117 eta^(-0.4230) - 
	0.0025  eta^(-0.8994) + 0.0304 eta^(0.1456);
c6mb = 0.0335 eta^(0.4086) + 0.0239 eta^(-0.4230) - 
	0.0462  eta^(-0.8994) - 0.0112 eta^(0.1456);
c7 = -0.3;
c10 = -1/sinthetaw^2 (xt (xt - 6)/(8 (xt - 1)) + xt (3 xt + 2)/(8 (xt - 1)^2) Log[xt] - 
	xt/(4 (1 - xt)) - xt/(4 (xt - 1)^2) Log[xt]);
c9 = Pi/alphastrongmw (-0.1875 - 80/203 eta^(6/23 + 1) + 8/33 eta^(-12/23 + 1) + 
	0.0433 eta^(0.4086 + 1) + 0.1384 eta^(-0.423 + 1) + 
	0.1648 eta^(-0.8994 + 1) - 0.0073 eta^(0.1456 + 1)) + 
	1.2468 + eta^(6/23) (0.8966 - 0.2009 eta) + eta^(-12/23) (-0.196 - 0.3579 eta) + 
	eta^(0.4086) (-0.2011 + 0.049 eta) + eta^(-0.423) (0.1328 - 0.3616 eta) + 
	eta^(-0.8994) (-0.0292 - 0.3554 eta) + eta^(0.1456) (-0.1858 + 0.0072 eta) - 
	c10 - 
	4 (xt (xt - 6)/(8 (xt - 1)) + xt (3 xt + 2)/(8 (xt - 1)^2) Log[xt]) - 
	((-19 xt^3 + 25 xt^2)/(36 (xt - 1)^3) + (xt^2 (5 xt^2 - 2 xt - 6))/(18 (xt - 1)^4) Log[xt] - 
	4/9 Log[xt]) + 
	(0.1405 + 0.0318 eta^(0.4086 + 1) + 0.0918 eta^(-0.423 + 1) - 
	0.27 eta^(-0.8994 + 1) + 0.0059 eta^(0.1456 + 1))(
	(xt (18 - 11 xt - xt^2))/(12 (1 - xt)^3) + (xt^2 (15 - 16 xt + 4 xt^2))/(6 (1 - xt)^4) Log[xt] - 
	2/3 Log[xt]);
etatil[shat_] := 1 + alphastrongmu/Pi (-2/9 Pi^2 - 4/3 NIntegrate[(-Log[1 - z])/z,{z,0,shat}] - 
	2/3 Log[shat] Log[1 - shat] - (5 + 4 shat)/(3 (1 + 2 shat)) Log[1 - shat] - 
	(2 shat (1 + shat)(1 - 2 shat))/(3 (1 - shat)^2 (1 + 2 shat)) Log[shat] +
	(5 + 9 shat - 6 shat^2)/(6 (1 - shat)(1 + 2 shat)));
rey[shat_] := (-8/9 Log[mb/mu] - 8/9 Log[mchat] + 8/27 + 
	16/9 (mchat^2)/shat - 
	2/9 Sqrt[1 - (4 mchat^2)/shat] (2 + (4 mchat^2)/shat) Log[
	Abs[1 + Sqrt[1 - (4 mchat^2)/shat]]/Abs[-1 + Sqrt[1 - (
	4 mchat^2)/shat]]])(3 c1mb + c2mb + 3 c3mb + c4mb + 
	3 c5mb + c6mb) - 
	1/2 (-8/9 Log[mb/mu] + 8/27 + 16/9 1/shat - 
	4/9 Sqrt[4/shat - 1] (2 + 4/shat) ArcTan[1/Sqrt[4/shat - 1]])(
	4 c3mb + 4 c4mb + 3 c5mb + c6mb) - 
	1/2 (8/27 - 8/9 Log[mb/mu]  - 4/9 Log[shat])(c3mb + 3 c4mb) + 
	2/9 (3 c3mb + c4mb + 3 c5mb + c6mb) + 
	3/alphaweak^2 kappa reresonance[shat];
xrey[shat_] := (-8/9 Log[mb/mu] - 8/9 Log[mchat] + 8/27 + 
	16/9 (mchat^2)/shat - 
	4/9 Sqrt[(4 mchat^2)/shat - 1] (2 + (4 mchat^2)/shat) ArcTan[
	1/Sqrt[(4 mchat^2)/shat - 1]])(3 c1mb + c2mb + 3 c3mb + 
	c4mb + 3 c5mb + c6mb) - 
	1/2 (-8/9 Log[mb/mu] + 8/27 + 16/9 1/shat - 
	4/9 Sqrt[4/shat - 1] (2 + 4/shat) ArcTan[1/Sqrt[4/shat - 1]])(
	4 c3mb + 4 c4mb + 3 c5mb + c6mb) - 
	1/2 (8/27 - 8/9 Log[mb/mu]  - 4/9 Log[shat])(c3mb + 3 c4mb) + 
	2/9 (3 c3mb + c4mb + 3 c5mb + c6mb) + 
	3/alphaweak^2 kappa reresonance[shat];
alpha4[shat_] := 2 uhat[shat]^2 shat (2 + lambda1 + 5 lambda2);
alpha5[shat_] := 2 uhat[shat]^2 (rey[shat] shat (2 + lambda1 + 5 lambda2) + 
	2 c7 (2 (1 + mshat^2) + lambda1 + 3 lambda2));
xalpha5[shat_] := 2 uhat[shat]^2 (xrey[shat] shat (2 + lambda1 + 5 lambda2) + 
	2 c7 (2 (1 + mshat^2) + lambda1 + 3 lambda2));
e[shat_] := etatil[shat] alpha4[shat];
f[shat_] := alpha5[shat];
xf[shat_] := xalpha5[shat];
asymmetry[shat_] := - overwholefactor c10 (c9 e[shat] + f[shat]);
xasymmetry[shat_] := - overwholefactor c10 (c9 e[shat] + xf[shat]);


:[font = input; nowordwrap; backColorRed = 65280; backColorGreen = 65280; backColorBlue = 65280; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Arial"; fontSize = 13; ]
(* ------------------------------------------------------------------- *)
(* Plotting                                                                              *)
(* ------------------------------------------------------------------- *)
p1 = Plot[xasymmetry[shat],{shat,0,0.6},Frame->True];
p2 = Plot[asymmetry[shat],{shat,0.601,1},Frame->True];
da1 = Show[p1,p2]


:[font = input; nowordwrap; backColorRed = 65280; backColorGreen = 65280; backColorBlue = 65280; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Arial"; fontSize = 13; ]
p3 = Plot[xasymmetry[shat],{shat,0,0.6},Frame->True,
	PlotStyle->Dashing[{0.01,0.01}]];
p4 = Plot[asymmetry[shat],{shat,0.601,1},Frame->True,
	PlotStyle->Dashing[{0.01,0.01}]];
da3 = Show[p3,p4]


:[font = input; nowordwrap; backColorRed = 65280; backColorGreen = 65280; backColorBlue = 65280; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; bold; fontName = "Courier New"; fontSize = 12; ]
GnuDisplay["asyn1",da1,Term->latex]
GnuDisplay["asyn2",da2,Term->latex]
GnuDisplay["asyn3",da3,Term->latex]
GnuDisplay["asyn4",da4,Term->latex]


:[font = input; nowordwrap; backColorRed = 65280; backColorGreen = 65280; backColorBlue = 65280; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Arial"; fontSize = 13; ]
(* ------------------------------------------------------------------- *)
(* Integrated functions                                                         *)
(* ------------------------------------------------------------------- *)
xei = N[overwholefactor NIntegrate[e[shat],
	{shat,0.1,0.3}]]
xfi = N[overwholefactor NIntegrate[xf[shat],
	{shat,0.1,0.3}]]
xasymmetry = c10 (c9 xei + xfi)
xei = N[overwholefactor NIntegrate[e[shat],
	{shat,0.45,0.55}]]
xfi = N[overwholefactor NIntegrate[xf[shat],
	{shat,0.45,0.55}]]
xasymmetry = c10 (c9 xei + xfi)


:[font = input; nowordwrap; backColorRed = 65280; backColorGreen = 65280; backColorBlue = 65280; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Arial"; fontSize = 13; ]
ei = N[overwholefactor NIntegrate[e[shat],
	{shat,0.7,0.8}]]
fi = N[overwholefactor NIntegrate[f[shat],
	{shat,0.7,0.8}]]
asymmetry = c10 (c9 ei + fi)
^*)