(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Arial", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Arial", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Arial", 13, L0, center, nohscroll;
	fontset = section, "Arial", 13, L0, grayBox;
	fontset = subsection, "Arial", 13, L0, blackBox;
	fontset = subsubsection, "Arial", 13, L0, whiteBox;
	fontset = text, "Arial", 13, L0;
	fontset = smalltext, "Arial", 13, L0;
	fontset = input, "Arial", 13, L0, nowordwrap;
	fontset = output, "Arial", 13, L0, nowordwrap;
	fontset = message, "Arial", 13, L0, nowordwrap, R65280;
	fontset = print, "Arial", 13, L0, nowordwrap;
	fontset = info, "Arial", 13, L0, nowordwrap;
	fontset = postscript, "Arial", 13, L0, nowordwrap;
	fontset = name, "Arial", 13, L0, nohscroll, B65280;
	fontset = header, "Arial", 13, L0, right, nohscroll;
	fontset = footer, "Arial", 13, L0, right, nohscroll;
	fontset = help, "Arial", 13, L0, nohscroll;
	fontset = clipboard, "Arial", 13, L0, nohscroll;
	fontset = completions, "Arial", 13, L0, nowordwrap, nohscroll;
	fontset = graphics, "Arial", 13, L0, nowordwrap, nohscroll;
	fontset = special1, "Arial", 13, L0, nowordwrap, nohscroll;
	fontset = special2, "Arial", 13, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Arial", 13, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Arial", 13, L0, nowordwrap, nohscroll;
	fontset = special5, "Arial", 13, L0, nowordwrap, nohscroll;
	fontset = leftheader, "Arial", 13, L0, nowordwrap, nohscroll;
	fontset = leftfooter, "Arial", 13, L0, nowordwrap, nohscroll;
	fontset = reserved1, "Arial", 13, L0, nowordwrap, nohscroll;]
:[font = text; inactive; backColorRed = 65280; backColorGreen = 65280; backColorBlue = 65280; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Arial"; fontSize = 13; ]
(* ------------------------------------------------ *)
(* b -> s l^+ l^- with next to leading QCD correction          *)
(* ------------------------------------------------ *)
:[font = input; nowordwrap; ]


(* ------------------------------------------------------------------- *)
(* Clearence of the functions                                              *)
(* ------------------------------------------------------------------- *)
Clear[uhat,alpha1,alpha2,alpha3,rey,imy,xrey,ximy,a,b,c,d];
Clear[imresonance,reresonance,dbr,xb,xc,xdbr,etatil];
(* ------------------------------------------------------------------- *)
(* Constants                                                                         *)
(* ------------------------------------------------------------------- *)
ms = 0.2;
mx = 1;
mb = 4.8;
mc = 1.86;
mt = 175;
mw = 80.26;
mu = 5;
ml = 0.00051;
xt = (mt/mw)^2;
mchat = mc/mb;
mshat = ms/mb;
mxhat = mx/mb;
ckm = 1;
kappa = 0.7;
lambda1 = 0.5/(mb^2);
lambda2 = 0.12/(mb^2);
lamdaqcd = 0.214;
alphaweak = 1/129;
alphastrongmw = 4 Pi/(23/3 Log[mw^2/lamdaqcd^2]) (1 - 
	(116/3)/(23/3)^2 Log[Log[mw^2/lamdaqcd^2]]/Log[mw^2/lamdaqcd^2]);
alphastrongmu = 4 Pi/(23/3 Log[mu^2/lamdaqcd^2]) (1 - 
	(116/3)/(23/3)^2 Log[Log[mu^2/lamdaqcd^2]]/Log[mu^2/lamdaqcd^2]);
eta = alphastrongmw/alphastrongmu;
sinthetaw = Sqrt[0.2325];
brbxlv = 0.104;

(* ------------------------------------------------------------------- *)
(* Definition of functions                                                      *)
(* ------------------------------------------------------------------- *)
imresonance[shat_] := Pi ((16.285 10^(-6) 2.72448 10^(-4))/(
	(3.096^2 - shat mb^2)^2 + (2.72448 10^(-4))^2) + (
	7.88804 10^(-6) 10.2102 10^(-4))/(
	(3.686^2 - shat mb^2)^2 + (10.2102 10^(-4))^2));
reresonance[shat_] := Pi ((16.285 10^(-6) (3.096^2 - shat mb^2))/(
	(3.096^2 - shat mb^2)^2 + (2.72448 10^(-4))^2) + (
	7.88804 10^(-6) (3.686^2 - shat mb^2))/(
	(3.686^2 - shat mb^2)^2 + (10.2102 10^(-4))^2));
phasefactor = 1 - 8 mchat^2 + 8 mchat^6 - mchat^8 - 
	24 mchat^4 Log[mchat];
kappamu = 1 - (2 alphastrongmu)/(3 Pi) ((Pi^2 - 31/4)(
	1 - mchat)^2 + 3/2);
overwholefactor = brbxlv ckm^2 1/(phasefactor kappamu) (
	3 alphaweak^2)/(16 Pi^2);
uhat[shat_] := Sqrt[(shat - (1 + mxhat)^2)(shat - (
	1 - mxhat)^2)];
alpha1[shat_] := 2 uhat[shat] ((1 - mshat^2)^2 - shat^2 - 1/3 uhat[shat]^2 - 
	1/3 (2 lambda1 (-1 - 2 shat + shat^2) + 
	   	3 lambda2 (-1 - 8 shat + 5 shat^2)));
alpha2[shat_] := 2 uhat[shat] (1 - mshat^2 - mshat^4 + mshat^6 - 8 mshat^2 shat - 
	shat^2 - mshat^2 shat^2 + 1/3 uhat[shat]^2 (1 + mshat^2) - 
	1/3 (2 lambda1 (-1 + 2 shat + 3 shat^2) + 
		3 lambda2 (3 + 4 shat + 5 shat^2)));
alpha3[shat_] := - 2 uhat[shat] (shat (1 + mshat^2) - (1 - mshat^2)^2 + 
	2/3 (lambda1 (-1 + shat) + 3 lambda2 shat));
c1mb = 1/2 (eta^(6/23) - eta^(-12/23));
c2mb = 1/2 (eta^(6/23) + eta^(-12/23));
c3mb = -1/14 eta^(6/23) + 1/6 eta^(-12/23) + 0.0510 eta^(0.4086) - 
	0.1403 eta^(-0.4230) - 0.0113 eta^(-0.8994) + 
	0.0054 eta^(0.1456);
c4mb = -1/14 eta^(6/23) - 1/6 eta^(-12/23) + 0.0984 eta^(0.4086) + 
	0.1214  eta^(-0.4230) + 0.0156 eta^(-0.8994) + 
	0.0026 eta^(0.1456);
c5mb = -0.0397 eta^(0.4086) + 0.0117 eta^(-0.4230) - 
	0.0025  eta^(-0.8994) + 0.0304 eta^(0.1456);
c6mb = 0.0335 eta^(0.4086) + 0.0239 eta^(-0.4230) - 
	0.0462  eta^(-0.8994) - 0.0112 eta^(0.1456);
c7 = -0.3;
c10 = -1/sinthetaw^2 (xt (xt - 6)/(8 (xt - 1)) + xt (3 xt + 2)/(8 (
	xt - 1)^2) Log[xt] - xt/(4 (1 - xt)) - xt/(4 (xt - 1)^2) Log[xt]);
c9 = Pi/alphastrongmw (-0.1875 - 80/203 eta^(6/23 + 1) + 
	8/33 eta^(-12/23 + 1) + 0.0433 eta^(0.4086 + 1) + 
	0.1384 eta^(-0.423 + 1) + 0.1648 eta^(-0.8994 + 1) - 
	0.0073 eta^(0.1456 + 1)) + 1.2468 + eta^(6/23) (0.8966 - 
	0.2009 eta) + eta^(-12/23) (-0.196 - 0.3579 eta) + 
	eta^(0.4086) (-0.2011 + 0.049 eta) + eta^(-0.423) (
	0.1328 - 0.3616 eta) + eta^(-0.8994) (-0.0292 - 0.3554 eta) + 
	eta^(0.1456) (-0.1858 + 0.0072 eta) - c10 - 
	4 (xt (xt - 6)/(8 (xt - 1)) + xt (3 xt + 2)/(8 (xt - 1)^2) Log[xt]) - 
	((-19 xt^3 + 25 xt^2)/(36 (xt - 1)^3) + (xt^2 (5 xt^2 - 2 xt - 6))/(
	18 (xt - 1)^4) Log[xt] - 4/9 Log[xt]) + 
	(0.1405 + 0.0318 eta^(0.4086 + 1) + 0.0918 eta^(-0.423 + 1) - 
	0.27 eta^(-0.8994 + 1) + 0.0059 eta^(0.1456 + 1))(
	(xt (18 - 11 xt - xt^2))/(12 (1 - xt)^3) + (xt^2 (
	15 - 16 xt + 4 xt^2))/(6 (1 - xt)^4) Log[xt] - 2/3 Log[xt]);
etatil[shat_] := 1 + alphastrongmu/Pi (-2/9 Pi^2 - 4/3 NIntegrate[(-Log[1 - z])/z,{z,0,shat}] - 
	2/3 Log[shat] Log[1 - shat] - (5 + 4 shat)/(3 (1 + 2 shat)) Log[1 - shat] - 
	(2 shat (1 + shat)(1 - 2 shat))/(3 (1 - shat)^2 (1 + 2 shat)) Log[shat] +
	(5 + 9 shat - 6 shat^2)/(6 (1 - shat)(1 + 2 shat)));
rey[shat_] := (-8/9 Log[mb/mu] - 8/9 Log[mchat] + 8/27 + 
	16/9 (mchat^2)/shat - 
	2/9 Sqrt[1 - (4 mchat^2)/shat] (2 + (4 mchat^2)/shat) Log[
	Abs[1 + Sqrt[1 - (4 mchat^2)/shat]]/Abs[-1 + Sqrt[1 - (
	4 mchat^2)/shat]]])(3 c1mb + c2mb + 3 c3mb + c4mb + 
	3 c5mb + c6mb) - 
	1/2 (-8/9 Log[mb/mu] + 8/27 + 16/9 1/shat - 
	4/9 Sqrt[4/shat - 1] (2 + 4/shat) ArcTan[1/Sqrt[4/shat - 1]])(
	4 c3mb + 4 c4mb + 3 c5mb + c6mb) - 
	1/2 (8/27 - 8/9 Log[mb/mu]  - 4/9 Log[shat])(c3mb + 3 c4mb) + 
	2/9 (3 c3mb + c4mb + 3 c5mb + c6mb) + 
	3/alphaweak^2 kappa reresonance[shat];
imy[shat_] := (2/9 Sqrt[1 - (4 mchat^2)/shat] (2 + (
	4 mchat^2)/shat) Pi)(3 c1mb + c2mb + 3 c3mb + c4mb + 
	3 c5mb + c6mb) - 
	1/2 4/9 Pi (c3mb + 3 c4mb) + 
	3/alphaweak^2 kappa imresonance[shat];
xrey[shat_] := (-8/9 Log[mb/mu] - 8/9 Log[mchat] + 8/27 + 
	16/9 (mchat^2)/shat - 
	4/9 Sqrt[(4 mchat^2)/shat - 1] (2 + (4 mchat^2)/shat) ArcTan[
	1/Sqrt[(4 mchat^2)/shat - 1]])(3 c1mb + c2mb + 3 c3mb + 
	c4mb + 3 c5mb + c6mb) - 
	1/2 (-8/9 Log[mb/mu] + 8/27 + 16/9 1/shat - 
	4/9 Sqrt[4/shat - 1] (2 + 4/shat) ArcTan[1/Sqrt[4/shat - 1]])(
	4 c3mb + 4 c4mb + 3 c5mb + c6mb) - 
	1/2 (8/27 - 8/9 Log[mb/mu]  - 4/9 Log[shat])(c3mb + 3 c4mb) + 
	2/9 (3 c3mb + c4mb + 3 c5mb + c6mb) + 
	3/alphaweak^2 kappa reresonance[shat];
ximy[shat_] := -1/2 4/9 Pi (c3mb + 3 c4mb) + 
	3/alphaweak^2 kappa imresonance[shat];
a[shat_] := alpha1[shat] etatil[shat]^2;
b[shat_] := alpha1[shat];
c[shat_] := etatil[shat] (2 alpha1[shat] rey[shat] + 12 c7 alpha3[shat]);
d[shat_] := (alpha1[shat] (rey[shat]^2 + imy[shat]^2) + 
	4/shat c7^2 alpha2[shat] + 8 c7 alpha3[shat] rey[shat]);
xc[shat_] := etatil[shat] (2 alpha1[shat] xrey[shat] + 12 c7 alpha3[shat]);
xd[shat_] := (alpha1[shat] (xrey[shat]^2 + ximy[shat]^2) + 
	4/shat c7^2 alpha2[shat] + 8 c7 alpha3[shat] xrey[shat]);
dbr[shat_] :=  overwholefactor (a[shat] c9^2 + b[shat] c10^2 + 
	c[shat] c9 + d[shat]);
xdbr[shat_] := overwholefactor (a[shat] c9^2 + b[shat] c10^2 + 
	xc[shat] c9 + xd[shat]);


:[font = input; nowordwrap; backColorRed = 65280; backColorGreen = 65280; backColorBlue = 65280; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Arial"; fontSize = 13; ]
(*  Including the end-point contributions *)
Clear[alpha1,alpha2,alpha3];
alpha1[shat_] := 2 (2/3 uhat[shat] ((1 - mshat^2)^2 + shat (1 + mshat^2) - 2 shat^2) + 
	1/3 lambda1 (1 - shat)^2 (1 + 2 shat) + 
	lambda2 (1 - 15 shat^2 + 10 shat^3));
alpha2[shat_] := 2 (2/3 uhat[shat] (2 (1 + mshat^2)(1 - mshat^2)^2 - 
		(1 + 14 mshat^2 + mshat^4) shat - (1 + mshat^2) shat^2) + 
	1/3 lambda1 (1 - shat)^2 (2 + shat) + 
	lambda2 (-6 - 3 shat + 5 shat^3));
alpha3[shat_] := - 2 (uhat[shat] ((1 - mshat^2)^2 - (1 + mshat^2) shat) + 
	1/2 lambda1 (1 - shat)^2 + 
	1/2 lambda2 (-5 - 6 shat + 7 shat^2));
dbr[shat_] :=  overwholefactor (a[shat] c9^2 + b[shat] c10^2 + 
	c[shat] c9 + d[shat]);
xdbr[shat_] := overwholefactor (a[shat] c9^2 + b[shat] c10^2 + 
	xc[shat] c9 + xd[shat]);

:[font = input; nowordwrap; backColorRed = 65280; backColorGreen = 65280; backColorBlue = 65280; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Arial"; fontSize = 13; ]
(* ------------------------------------------------------------------- *)
(* Plotting                                                                              *)
(* ------------------------------------------------------------------- *)
p1 = Plot[xdbr[shat],{shat,0,0.6},Frame->True];
p2 = Plot[dbr[shat],{shat,0.601,1},Frame->True];
db1 = Show[p1,p2]


:[font = input; nowordwrap; backColorRed = 65280; backColorGreen = 65280; backColorBlue = 65280; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Arial"; fontSize = 13; ]
p3 = Plot[xdbr[shat],{shat,0,0.6},Frame->True,
	PlotStyle->Dashing[{0.01,0.01}]];
p4 = Plot[dbr[shat],{shat,0.601,1},Frame->True,
	PlotStyle->Dashing[{0.01,0.01}]];
db3 = Show[p3,p4]

:[font = input; startGroup; nowordwrap; backColorRed = 65280; backColorGreen = 65280; backColorBlue = 65280; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; bold; fontName = "Courier New"; fontSize = 12; ]
Clear[br,w,phi];
Clear[p];
pf = 0.3;
mb = 5;
ms = 0;
mshat = ms/mb;
w[p_] := Sqrt[1 + mshat^2 - 2 Sqrt[p + mshat^2]];
phi[p_] := (4/(Sqrt[Pi] pf^3) Exp[-p^2/pf^2]);
br = Integrate[(w[p]^2 phi[p] p^2),{p,0,mb/2}]


:[font = output; inactive; formatted; output; endGroup; nowordwrap; ]
2.309615706110065*10^-29*(5/(2*Pi))^(1/2) - (1.154807853055033*10^-29)/Pi^(1/2) + 
  (0.045*(39.38786335345591 - 14.14989326075468*10^(1/2)))/Pi^(1/2)



;[o]
                                     -29
          -29       5      1.15481 10      0.045 (39.3879 - 14.1499 Sqrt[10])
2.30962 10    Sqrt[----] - ------------- + ----------------------------------
                   2 Pi      Sqrt[Pi]                   Sqrt[Pi]
:[font = input; startGroup; nowordwrap; backColorRed = 65280; backColorGreen = 65280; backColorBlue = 65280; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Arial"; fontSize = 13; ]
(* ------------------------------------------------------------------- *)
(* Integrated functions                                                         *)
(* ------------------------------------------------------------------- *)
xai = N[overwholefactor NIntegrate[a[shat],
	{shat,0.1,0.3}]]
xbi = N[overwholefactor NIntegrate[b[shat],
	{shat,0.1,0.3}]]
xci = N[overwholefactor NIntegrate[xc[shat],
	{shat,0.1,0.3}]]
xdi = N[overwholefactor NIntegrate[xd[shat],
	{shat,0.1,0.3}]]
xdbr =  xai c9^2 + xbi c10^2 + xci c9 + xdi
xai = N[overwholefactor NIntegrate[a[shat],
	{shat,0.45,0.55}]]
xbi = N[overwholefactor NIntegrate[b[shat],
	{shat,0.45,0.55}]]
xci = N[overwholefactor NIntegrate[xc[shat],
	{shat,0.45,0.55}]]
xdi = N[overwholefactor NIntegrate[xd[shat],
	{shat,0.45,0.55}]]
xdbr =  xai c9^2 + xbi c10^2 + xci c9 + xdi

:[font = input; endGroup; nowordwrap; backColorRed = 65280; backColorGreen = 65280; backColorBlue = 65280; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Arial"; fontSize = 13; ]
ai = N[overwholefactor NIntegrate[a[shat],
	{shat,0.45,0.55}]]
bi = N[overwholefactor NIntegrate[b[shat],
	{shat,0.45,0.55}]]
ci = N[overwholefactor NIntegrate[c[shat],
	{shat,0.45,0.55}]]
di = N[overwholefactor NIntegrate[d[shat],
	{shat,0.45,0.55}]]
dbr =  ai c9^2 + bi c10^2 + ci c9 + di
^*)