(*^

::[	frontEndVersion = "Microsoft Windows Mathematica Notebook Front End Version 2.2";
	microsoftWindowsStandardFontEncoding;
	fontset = title, "Arial", 24, L0, center, nohscroll, bold;
	fontset = subtitle, "Arial", 18, L0, center, nohscroll, bold;
	fontset = subsubtitle, "Arial", 14, L0, center, nohscroll, bold;
	fontset = section, "Arial", 14, L0, bold, grayBox;
	fontset = subsection, "Arial", 12, L0, bold, blackBox;
	fontset = subsubsection, "Arial", 10, L0, bold, whiteBox;
	fontset = text, "Arial", 12, L0;
	fontset = smalltext, "Arial", 10, L0;
	fontset = input, "Courier New", 12, L0, nowordwrap, bold;
	fontset = output, "Courier New", 12, L0, nowordwrap;
	fontset = message, "Courier New", 10, L0, nowordwrap, R65280;
	fontset = print, "Courier New", 10, L0, nowordwrap;
	fontset = info, "Courier New", 10, L0, nowordwrap;
	fontset = postscript, "Courier New", 8, L0, nowordwrap;
	fontset = name, "Arial", 10, L0, nohscroll, italic, B65280;
	fontset = header, "Times New Roman", 10, L0, right, nohscroll;
	fontset = footer, "Times New Roman", 10, L0, right, nohscroll;
	fontset = help, "Arial", 10, L0, nohscroll;
	fontset = clipboard, "Arial", 12, L0, nohscroll;
	fontset = completions, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = graphics, "Courier New", 10, L0, nowordwrap, nohscroll;
	fontset = special1, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = special2, "Arial", 12, L0, center, nowordwrap, nohscroll;
	fontset = special3, "Arial", 12, L0, right, nowordwrap, nohscroll;
	fontset = special4, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = special5, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = leftheader, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = leftfooter, "Arial", 12, L0, nowordwrap, nohscroll;
	fontset = reserved1, "Courier New", 10, L0, nowordwrap, nohscroll;]
:[font = input; nowordwrap; backColorRed = 65280; backColorGreen = 65280; backColorBlue = 65280; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Arial"; fontSize = 14; ]
(* ------------------------------------------------------------------- *)
(* Wilson coefficients          			       *)
(* ------------------------------------------------------------------- *)
:[font = input; nowordwrap; ]



:[font = input; nowordwrap; backColorRed = 65280; backColorGreen = 65280; backColorBlue = 65280; fontColorRed = 0; fontColorGreen = 0; fontColorBlue = 0; plain; fontName = "Arial"; fontSize = 14; ]
(* ------------------------------------------------------------------- *)
(* Constants                                                                         *)
(* ------------------------------------------------------------------- *)
lamdaqcd = 0.145;
mu = 2.5;
mt = 166;
mb = 4.8;
mw = 80.26;
xt = (mt/mw)^2;
sinthetaw = Sqrt[0.2325];
alphastrongmw = 4 Pi/(23/3 Log[mw^2/lamdaqcd^2]) (1 - 
	(116/3)/(23/3)^2 Log[Log[mw^2/lamdaqcd^2]]/Log[mw^2/lamdaqcd^2]);
alphastrongmu = 4 Pi/(23/3 Log[mu^2/lamdaqcd^2]) (1 - 
	(116/3)/(23/3)^2 Log[Log[mu^2/lamdaqcd^2]]/Log[mu^2/lamdaqcd^2]);
eta = alphastrongmw/alphastrongmu;

(* ------------------------------------------------------------------- *)
(* Definition of functions                                                      *)
(* ------------------------------------------------------------------- *)
c1mb = N[1/2 (eta^(6/23) - eta^(-12/23))]
c2mb = N[1/2 (eta^(6/23) + eta^(-12/23))]
c3mb = N[-1/14 eta^(6/23) + 1/6 eta^(-12/23) + 0.0510 eta^(0.4086) - 
	0.1403 eta^(-0.4230) - 0.0113 eta^(-0.8994) + 
	0.0054 eta^(0.1456)]
c4mb = N[-1/14 eta^(6/23) - 1/6 eta^(-12/23) + 0.0984 eta^(0.4086) + 
	0.1214  eta^(-0.4230) + 0.0156 eta^(-0.8994) + 
	0.0026 eta^(0.1456)]
c5mb = N[-0.0397 eta^(0.4086) + 0.0117 eta^(-0.4230) - 
	0.0025  eta^(-0.8994) + 0.0304 eta^(0.1456)]
c6mb = N[0.0335 eta^(0.4086) + 0.0239 eta^(-0.4230) - 
	0.0462  eta^(-0.8994) - 0.0112 eta^(0.1456)]
c7 = N[eta^(16/23) (-1/2) (xt (8 xt^2 + 5 xt - 7)/(12 (xt - 1)^3) + 
	xt^2 (2 - 3 xt)/(2 (xt - 1)^4) Log[xt]) + 8/3 (eta^(14/23) - 
	eta^(16/23)) (-1/2) (xt (xt^2 - 5 xt - 2)/(4 (xt - 1)^3) + 
	(3 xt^2)/(2 (xt - 1)^4) Log[xt]) + 2.2996 eta^(14/23) - 
	1.0880 eta^(16/23) - 3/7 eta^(6/23) - 1/14 eta^(-12/23) - 
	0.6494 eta^(0.4086) - 0.038 eta^(-0.423) - 
	0.0186 eta^(-0.8994) - 0.0057 eta^(0.1456)]
c8mb = N[eta^(14/23) (-1/2) (xt (xt^2 - 5 xt - 2)/(4 (xt - 1)^3) + 
	(3 xt^2)/(2 (xt - 1)^4) Log[xt]) - 0.0571 eta^(-0.8994) + 
	0.0873 eta^(-0.423) + 0.0209 eta^(0.1456) - 
	0.9135 eta^(0.4086) + 0.8623 eta^(14/23)]
c10 = N[-1/sinthetaw^2 (xt (xt - 6)/(8 (xt - 1)) + xt (3 xt + 2)/(8 (
	xt - 1)^2) Log[xt] - xt/(4 (1 - xt)) - xt/(4 (xt - 1)^2) Log[xt])]
c9 = N[Pi/alphastrongmw (-0.1875 - 80/203 eta^(6/23 + 1) + 
	8/33 eta^(-12/23 + 1) + 0.0433 eta^(0.4086 + 1) + 
	0.1384 eta^(-0.423 + 1) + 0.1648 eta^(-0.8994 + 1) - 
	0.0073 eta^(0.1456 + 1)) + 1.2468 + eta^(6/23) (0.8966 - 
	0.2009 eta) + eta^(-12/23) (-0.196 - 0.3579 eta) + 
	eta^(0.4086) (-0.2011 + 0.049 eta) + eta^(-0.423) (
	0.1328 - 0.3616 eta) + eta^(-0.8994) (-0.0292 - 0.3554 eta) + 
	eta^(0.1456) (-0.1858 + 0.0072 eta) - c10 - 
	4 (xt (xt - 6)/(8 (xt - 1)) + xt (3 xt + 2)/(8 (xt - 1)^2) Log[xt]) - 
	((-19 xt^3 + 25 xt^2)/(36 (xt - 1)^3) + (xt^2 (5 xt^2 - 2 xt - 6))/(
	18 (xt - 1)^4) Log[xt] - 4/9 Log[xt]) + 
	(0.1405 + 0.0318 eta^(0.4086 + 1) + 0.0918 eta^(-0.423 + 1) - 
	0.27 eta^(-0.8994 + 1) + 0.0059 eta^(0.1456 + 1))(
	(xt (18 - 11 xt - xt^2))/(12 (1 - xt)^3) + (xt^2 (
	15 - 16 xt + 4 xt^2))/(6 (1 - xt)^4) Log[xt] - 2/3 Log[xt])]




^*)